> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Pod

> Create a new pod and return its identifiers and initial state. Provide exactly one of `stubId` or `checkpointId`.



## OpenAPI

````yaml /v2/reference/api-docs/pods.swagger.json POST /pods
openapi: 3.0.0
info:
  title: pod.proto
  version: version not set
servers:
  - url: https://app.beam.cloud/api/v1/gateway
  - url: /api/v1/gateway
security:
  - bearerAuth: []
tags:
  - name: PodService
paths:
  /pods:
    post:
      tags:
        - PodService
      operationId: PodService_CreatePod
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/podCreatePodRequest'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/podCreatePodResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    podCreatePodRequest:
      type: object
      properties:
        stubId:
          type: string
        checkpointId:
          type: string
      oneOf:
        - required:
            - stubId
        - required:
            - checkpointId
    podCreatePodResponse:
      type: object
      properties:
        ok:
          type: boolean
        containerId:
          type: string
        errorMsg:
          type: string
        stubId:
          type: string
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````